Bug Hunting Session
Bug 69042 - Add a "Release Notes/What's New" window to be shown upon first run
Summary: Add a "Release Notes/What's New" window to be shown upon first run
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium enhancement
Assignee: Heiko Tietze
URL:
Whiteboard: target:6.3.0
Keywords: difficultyInteresting, easyHack, needsDevEval, skillCpp, topicUI
: 88040 89660 (view as bug list)
Depends on:
Blocks: Help-Menu
  Show dependency treegraph
 
Reported: 2013-09-06 15:39 UTC by Emir Sarı (away)
Modified: 2019-06-08 12:02 UTC (History)
18 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Emir Sarı (away) 2013-09-06 15:39:26 UTC
Hello,

It would be a really good idea to add a "What's New in This Release" window to be shown upon first run and every update of LibreOffice. 

Contents of this window would be localised before each release, and still if there is no localisation, a selection of possible languages would be shown. Since new features are already known before each main release, it wouldn't take much effort. 

There is no need to write info about the bugfix releases, for example if someone downloads the 4.2.4 release, still release notes for 4.2 would be shown. 

I think this is rather important, because pointing out the new features would help to create a positive image of LibreOffice for newcomers and help them learn about the new features quite easily.
Comment 1 bfoman (inactive) 2014-01-15 18:41:02 UTC
-1
Personally I hate such windows... https://wiki.documentfoundation.org/ReleaseNotes/ it the best place to read while downloading new release :).
The question is - should this site be linked somewhere in the UI (maybe in Help menu).
Comment 4 Marc Pare 2014-02-02 14:10:19 UTC
Let's wait and see what the new updated site shows and then see if we can make the "What's New" show somewhere on the "Download" page. 

Also, IMO, yes, it should show in the "Help" section of LibreOffice, linking it back to that particular version's page of "4.x.x Features and Fixes". I think people are always in a hurry to install the newest and best versions of software, but once they use it, they often wonder what is new/fixed/updated in that version of software.

But, I also agree, that there should be NO POPUP WINDOWS, which to me are always annoying and a practice we should avoid using.

ALSO, yes, the best page for users is the "Features and Fixes" page on our website as we often try to soften the language on this page to make it more readable and organized in such a way to make it more understanable for all levels of users:

http://www.libreoffice.org/download/4-2-new-features-and-fixes/

Cheers,

Marc
Comment 5 Adolfo Jayme 2015-01-25 06:09:13 UTC
*** Bug 88040 has been marked as a duplicate of this bug. ***
Comment 6 Yousuf Philips (jay) (retired) 2015-08-20 23:42:35 UTC
I think the simplest thing would be to bundle the release notes wiki page as a self-contained html file in the installer, as not everyone is online, and this would bring better awareness of updates to user attention and reduce the number of bug reports that come in due to changes when users havent read it (eg. bug 93318).

It would be useful for this dialog to also be accessible afterwards in the Help menu for later access.
Comment 7 Robinson Tryon (qubit) 2015-12-13 11:24:10 UTC Comment hidden (obsolete)
Comment 8 V Stuart Foote 2016-05-19 20:27:55 UTC
removing the bug 68274 linkage, don't see much between this issue and achieving incremental updates.
Comment 9 Heiko Tietze 2019-03-28 14:24:50 UTC
*** Bug 89660 has been marked as a duplicate of this bug. ***
Comment 10 Heiko Tietze 2019-03-28 14:26:44 UTC
Good idea, let's pull the wiki page for new releases and show it in a dialog. Could be an interesting easy hack.
Comment 11 Emir Sarı (away) 2019-05-08 08:50:08 UTC
It would be much better if we could just convey the highlights in a carousel view container, then link to the wiki page.

For instance;

First page:

-Writer
   -Improved inserting spreadsheets into documents
   -Various UI improvements
   -Various encoding fixes
   -Improved Microsoft Office compatibility

-Calc
   -Signature lines now available in Calc
   -New XXX and XXX formulas
   -Introducing Multivariate Regression Analysis

... two more carousel pages like this, and then:

-For detailed release notes, please visit our wiki page here.

It would be great if marketing team could assist with the text and make it available for translation to other languages.
Comment 12 Justin L 2019-05-08 09:26:23 UTC
-1
I also hate such windows. The vast majority of users who don't install the software themselves would not be interested in these details. The information is easy to find via a web search for those who want to know, although I would not be opposed to a Help - What's new link.

The important place for this information to be easily found is on the download page (which it is - LibreOffice 6.2.3 release notes for the current example).
Comment 13 Heiko Tietze 2019-05-08 09:41:16 UTC
How about a simple solution: on new releases we show a "special" tip-of-the-day (bug 124238) with a link to the release notes. Something like "You run the new version 6.3 for the first time. Would you like to get more information? <More info>" 

This special tip would not be shown in the random order and what we'd have to do is to read the release number, compare it with the last used, and update. If TotD is not shown I would update anyway - those users don't want to get bothered with any information.
Comment 14 Justin L 2019-05-08 09:55:32 UTC
(In reply to Heiko Tietze from comment #13)
> How about a simple solution: on new releases we show a "special"
> tip-of-the-day (bug 124238) with a link to the release notes.
I was thinking of suggesting something like that, but didn't because it would introduce more complexity to the Tip of the Day.  But the idea is a good one.
Comment 15 Heiko Tietze 2019-05-09 14:27:47 UTC
No objection, so assigning myself. I wonder if we make the dialog mandatory, ie. we show it independently from the "Show this" checkbox (and disable it for this tip). Opinions?
Comment 16 Heiko Tietze 2019-05-09 16:07:11 UTC
https://gerrit.libreoffice.org/#/c/72064/
Comment 17 BogdanB 2019-05-09 16:19:56 UTC
It's a very good idea to have this on first open after an update...
Comment 18 andreas_k 2019-05-09 17:06:40 UTC
Thumb up to show it after an update.
Comment 19 jan d 2019-05-09 19:03:21 UTC
+1 for after an update. Is also a pattern known from a lot of apps and services, so it is unlikely to irritate users (although most common in form of a "toast" or "infobubble").
Comment 20 Justin L 2019-05-09 19:29:56 UTC
(In reply to Heiko Tietze from comment #15)
> No objection, so assigning myself. I wonder if we make the dialog mandatory,
> ie. we show it independently from the "Show this" checkbox (and disable it
> for this tip). Opinions?
I'm quite sure that everyone who indicated "-1" for the original suggestion would also disagree with your suggestion in this case of ignoring
const bool bShowTipOfTheDay = officecfg::Office::Common::Misc::ShowTipOfTheDay::get();
Comment 21 Heiko Tietze 2019-05-09 21:12:51 UTC
So again, the question is whether users should see the dialog even when they don't want to see the tip of the day. Justin voted against, I tend to do it. Opinions?
Comment 22 Cor Nouws 2019-05-09 21:15:11 UTC
(In reply to Heiko Tietze from comment #21)
> So again, the question is whether users should see the dialog even when they
> don't want to see the tip of the day. Justin voted against, I tend to do it.
> Opinions?
If it's a one-start-stand, I support that.
Comment 23 andreas_k 2019-05-09 21:18:15 UTC
do it!
Comment 24 Thomas Lendo 2019-05-09 21:52:44 UTC
It will disturb some users (especially experts and enterprise users) but if a special expert config for it is not wanted then let's do it. It's common also in other programs to see a what's new message.
Comment 25 Stephan Bergmann 2019-05-10 08:44:54 UTC
Instead of a window, couldn't this be an info bar?  Would appear to be less annoying that way.
Comment 26 Emir Sarı (away) 2019-05-10 18:07:09 UTC
(In reply to Stephan Bergmann from comment #25)
> Instead of a window, couldn't this be an info bar?  Would appear to be less
> annoying that way.

I agree. For daily tips an info bar would be more appropriate. For release notes one-time windows suit better.
Comment 27 Heiko Tietze 2019-05-10 18:48:23 UTC
(In reply to Emir Sarı (away) from comment #26)
> I agree. For daily tips an info bar would be more appropriate. For release
> notes one-time windows suit better.

Stephan suggested it the other way with What's-New in the infobar. Plus, the Tip-Of-The-Day should have an appealing design with a supporting image.
Comment 28 V Stuart Foote 2019-05-10 19:30:52 UTC
(In reply to Heiko Tietze from comment #27)
> 
> Stephan suggested it the other way with What's-New in the infobar. Plus, the
> Tip-Of-The-Day should have an appealing design with a supporting image.

Yes that is correct, and would be my preference as well--it would make sense to put a "What's New this release" message there. Rather than in a special pop-open "tip" that was just implemented..  

Looking at bug 83009, we use the Infobar to announce read only mode, hold the classification tool, and already place an icon notice for available update.  So, keeping it for sensible things, and see this  "What's new" at major release as sensible--even if just a URL link (hosted to New Help and bundled into the local help for offline users).
Comment 29 Emir Sarı (away) 2019-05-10 19:34:47 UTC
(In reply to V Stuart Foote from comment #28)
> (In reply to Heiko Tietze from comment #27)
> > 
> > Stephan suggested it the other way with What's-New in the infobar. Plus, the
> > Tip-Of-The-Day should have an appealing design with a supporting image.
> 
> Yes that is correct, and would be my preference as well--it would make sense
> to put a "What's New this release" message there. Rather than in a special
> pop-open "tip" that was just implemented..  
> 
> Looking at bug 83009, we use the Infobar to announce read only mode, hold
> the classification tool, and already place an icon notice for available
> update.  So, keeping it for sensible things, and see this  "What's new" at
> major release as sensible--even if just a URL link (hosted to New Help and
> bundled into the local help for offline users).

I see. Yes, it makes perfect sense now. +1
Comment 30 Commit Notification 2019-05-17 08:44:59 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/5187d3ae495a07373a12fd5980c9269bc8ce3f8f%5E%21

Resolves: tdf#69042 - Add a "What's New" infobar

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 31 BogdanB 2019-06-08 12:02:49 UTC
Resolved in 
Version: 6.3.0.0.beta1
Build ID: a187af327633f5f00363be5131bd21a13e0f1a7b
CPU threads: 4; OS: Linux 4.18; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded

Very nice to know what's new even for that persons who don't watch the behind the scene.